Subject: bug#75154: 31.0.50; java-ts-mode. Issues with Indentation

From: Artem Bliznetsov <[email-masked]>
Date: Sun, 13 Apr 2025 14:52:32 +0300

> Ping! Ping!  Do we need to do anything else here?
Well... indents still aren’t working exactly as expected. I mean, they
work, but the changes only take effect after pressing RET. This was
mentioned earlier, and so far there’s no fix. Also, there are some
visual issues.
Classes, return values, and data types all have the same
face—font-lock-type-face,
while null uses font-lock-constant-face. I’m not sure why. For instance,
in the statement import java.util.List; the segment “java.util” appears
with font-lock-constant-face. It seems that method declarations and method
calls are supposed to have different faces—font-lock-function-name-face versus
font-lock-function-call-face—but I haven’t managed to figure out how to
configure them differently. Regarding the core functionality, there
might be something else besides indents—I’m not ready to say for sure
yet, as I’m simply not using java-ts-mode on a regular basis at the
moment, so I can’t really tell what else might be off.